
Ruby - Bug #9856

[PATCH] process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

05/20/2014 02:17 AM - normalperson (Eric Wong)

Status: Closed   

Priority: Normal   

Assignee: normalperson (Eric Wong)   

Target version: 2.2.0   

ruby -v: ruby 2.2.0dev (2014-05-19 trunk 46010)

[x86_64-linux]

Backport: 2.0.0: DONE, 2.1: DONE

Description

On my Linux system, these may return up to 64K rb_gid_t entries for

a total of 256K stack usage, potentially triggering SystemStackError

or just a segfault.  Use ALLOCV_N for stack safety, especially since

these are not performance-critical methods.

Will commit in a day or two.

http://bogomips.org/ruby.git/patch?id=9074e3808d

Associated revisions

Revision d450229a277d32136e9d2b30408b519ee81586be - 05/24/2014 07:22 AM - Eric Wong 

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

[Bug #9856]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46075 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d450229a - 05/24/2014 07:22 AM - Eric Wong 

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

[Bug #9856]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46075 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1c8500b3d1a327ff4e56af3c9ed9164130becc74 - 06/27/2014 08:27 AM - U.Nakamura 

merge revision(s) 46075: [Backport #9856]

    * process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

      [Bug #9856]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@46581 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1c8500b3 - 06/27/2014 08:27 AM - U.Nakamura 

merge revision(s) 46075: [Backport #9856]

    * process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

      [Bug #9856]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@46581 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 39d963422fce26165d685537fb1b745d20557f2b - 06/29/2014 05:43 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r46075: [Backport #9856]

    * process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

      [Bug #9856]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@46615 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
http://bogomips.org/ruby.git/patch?id=9074e3808d


Revision 39d96342 - 06/29/2014 05:43 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r46075: [Backport #9856]

    * process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

      [Bug #9856]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@46615 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/24/2014 07:23 AM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r46075.

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

process.c (proc_getgroups, proc_setgroups): use ALLOCV_N

[Bug #9856]

#2 - 06/27/2014 08:28 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: DONE, 2.1: REQUIRED

backported into ruby_2_0_0 at r46581.

#3 - 06/29/2014 05:43 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: DONE, 2.1: REQUIRED to 2.0.0: DONE, 2.1: DONE

Backported into ruby_2_1 branch at r46615.

Files

process-allocv_n.patch 1.92 KB 05/20/2014 normalperson (Eric Wong)
